drn@fingerprint.com.
Before you use the DRN
To get started, you’ll need to use our Android SDK. Please note, the iOS SDK and JavaScript agent SDK are not supported at this time. After creating a Fingerprint account, integrate the Android SDK into your app to start identifying devices. For detailed instructions, refer to our Android integration guide. Once a device is identified, you can retrieve the visitor ID directly on the device, or if you’re using our Zero Trust Mode and don’t trust the devices, you can obtain it through a server-side API call. With the Android device’s visitor ID, you’re ready to make an API call to the DRN.Making your first DRN API call
Ensure you have your secret API key and visitor ID, then make the following request:GET https://drn-api.fpjs.io/drn/{visitor_id}?signals={signals}
Replace {visitor_id} with the visitor ID and provide signals you want. We support one or more signals in the signals query parameter. Use a comma separated list for the signal list.
In version 2024-09-01, the DRN supports three global signals: regional_activity, suspect_score, and timestamps. More details about each signal are in the sections below.
If you want to request all three signals and your visitor ID is NSBNxrgR3h9hVkhR5mkc, the request will look like this:
cURL
Authorization HTTP header. You can read all the details in our DRN API reference.
Global DRN signals
As of version2024-09-01, DRN supports three global signals: regional_activity,suspect_score, andtimestamps .
Additionally, DRN supports chargeback and payment disputes reporting. Using this feature, you can get a detailed information if an Android device is linked to chargebacks reported by other Fingerprint customers.
regional_activity
Represents a list of countries where the identified device was active in the last 30 days together with the level of activity in each country. Level of activity is a number between 0 and 1 and represents the percentage of activity in the country. For example if a device was active in a specific country 60% of the time, the level of activity will be0.6. API reference . Note that the level of activity is scoped to a detector type.
We support two detector types: ip and origin. The ip detector detects a country code by the IP address at the moment of making an API call using the Android SDK. If a device is using a VPN, the ip detector will return the VPN exit node country.
The origin detector detects a real location of the device, utilizing our originCountry feature of the mobile SDK VPN detection, regardless of the IP address location or attempts to hide the location using VPN. The origin detector does not require geolocation permissions from the user.
Examples of differentactivityPercentage scenarios:
suspect_score
Suspect Score is a single value representing how many suspicious Smart Signals were in a particular request. You can read more in this Smart Signals Guide . The suspect score is calculated for each Fingerprint API request that your application makes with Android SDK. The DRN version of thesuspect_score is powerful, as it represents the minimum and maximum suspect scores we captured from the identified device in the last 30 days globally across the entire Fingerprint device network.
The maximum value contains a zero-excluded percentile, that makes it easy to see how suspicious that device was compared to other suspicious devices. For example if the percentile of the maximum suspect score is 0.95, it means that device was more suspicious than 95% of other suspicious devices in the same 30-day time period.
Output format :
You can find the reference in this API reference document.
Output example:
timestamps
Represents timestamps when we first and last saw this device on the Fingerprint device network. Knowing when a device was first seen can be useful as the devices that appeared recently (a few minutes ago) are suspicious. Output format is described in the API reference. Output example:Payment dispute reporting
You can query the DRN for payment dispute information, associated with each Android device. This information is submitted by other companies, using the DRN. Report format:json